. $Header: /u/drspeech/repos/quicknet2/qncopywts.man,v 1.4 2013/12/14 01:10:40 davidj Exp $
.de EX		\" Begin Example
.ie \\n(.$ .nr EX \\$1n
.el \{\
.	ie n .nr EX 0n
.	el .nr EX 0n
.\}
.in +\\n(EXu
.if n .sp 1
.if t .sp .5v
.nf
.CW
.ft CB
..
.de EE		\" End example
.in -\\n(EXu
.fi
.}f             \" restore basic text attributes
.if n .sp 1
.if t .sp .5v
..
.de MS
.ie t \&\f(CB\\$1\f(NR(\\$2)\\$3
.el \fI\\$1\fP(\\$2)\\$3
..
.TH qncopywts 1 "$Date: 2013/12/14 01:10:40 $" ICSI "ICSI SPEECH SOFTWARE"
.SH NAME
qncopywts \- Copy QuickNet weights files between different formats
.SH SYNOPSIS
.B qncopywts
[
.I options
]
.SH DESCRIPTION
.I qncopywts
is a simple program for copying the network weights files 
used by 
.MS qnmultitrn 1
and 
.MS qnmultifwd 1
between different formats.  
.SH OPTIONS
.I qncopywts
can take the following options (defaults in parens):
.TP 1i			\" Indent the paragraph
.BI in_file= filename (required)
Input weights file, or
.B -
to use stdin.
.TP
\fBin_format\fR=\fItype\fR ("rap3")
The format of the input weights file.  Supported formats are 
the default "rap3", which is the original ICSI ascii weights file 
format, and "matlab" which uses matlab level 4 format for storing weights.
.TP
.BI out_file= filename
Name for the output weights file to be written to.  If this is not
specified then no output weight file will be produced.
.TP
\fBout_format\fR=\fItype\fR ("rap3")
The format in which the output weights file will be written.  
Options include "rap3" (default) which is the original ascii weights 
file format, (as described in 
.MS weights 5 ) "matlab", matlab level 4 format.  Note that the
matlab format stores weights as floats although they are read into
double matrices in matlab.
.TP
.BI log_file= filename
The file in which to log status messages.  Specifying a
filename of
.B \-
sends the results to standard output.
.TP
.BI debug= integer
Set the level of debugging output.  \fB0\fR means none, \fB6\fR means lots!
.TP
.BI verbose= bool
Output status messages if
.BR true .
(which is the default).x
.SH EXAMPLE
To convert a standard ASCII weights file into matlab
format,
.EX
qncopywts \\
in_file=simplebn/boot-plp12N-16k-70h-aI5+117i+2000h+54o.wts \\
out_format=maltab out_file=plp12N-117+2000h+54o.mat
.SH NOTES
MLPW was a proposed weight format.  As of February 2006, this had not
been fully implemented and is likely to be supplanted by Matlab format.
.SH AUTHOR
Dan Ellis  <dpwe@ee.columbia.edu>
.SH SEE ALSO
.MS qnmultitrn 1 ,
.MS qnmultifwd 1  ,
.MS weights 5 ,
.MS matlab_weights 5 ,
.MS MLPW 5 .

